apiVersion: v1
kind: PersistentVolume
metadata: { name: zulip-redis, labels: { type: local } }
spec: { storageClassName: manual, hostPath: { path: "/opt/zulip/redis" }, capacity: { storage: 5Gi }, accessModes: ["ReadWriteOnce"], persistentVolumeReclaimPolicy: Retain, claimRef: { namespace: default, name: zulip-redis } }
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata: { name: zulip-redis }
spec: { storageClassName: "", volumeName: "zulip-redis", accessModes: ["ReadWriteOnce"], resources: { requests: { storage: 5Gi } } }
---
apiVersion: v1
kind: PersistentVolume
metadata: { name: zulip-postgres, labels: { type: local } }
spec: { storageClassName: manual, hostPath: { path: "/opt/zulip/postgres" }, capacity: { storage: 5Gi }, accessModes: ["ReadWriteOnce"], persistentVolumeReclaimPolicy: Retain, claimRef: { namespace: default, name: zulip-postgres } }
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata: { name: zulip-postgres }
spec: { storageClassName: "", volumeName: "zulip-postgres", accessModes: ["ReadWriteOnce"], resources: { requests: { storage: 5Gi } } }
---
apiVersion: v1
kind: PersistentVolume
metadata: { name: zulip-data, labels: { type: local } }
spec: { storageClassName: manual, hostPath: { path: "/opt/zulip/data" }, capacity: { storage: 5Gi }, accessModes: ["ReadWriteOnce"], persistentVolumeReclaimPolicy: Retain, claimRef: { namespace: default, name: zulip-data } }
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata: { name: zulip-data }
spec: { storageClassName: "", volumeName: "zulip-data", accessModes: ["ReadWriteOnce"], resources: { requests: { storage: 5Gi } } }
---
apiVersion: v1
kind: PersistentVolume
metadata: { name: zulip-media, labels: { type: local } }
spec: { storageClassName: manual, hostPath: { path: "/opt/zulip/media" }, capacity: { storage: 5Gi }, accessModes: ["ReadWriteOnce"], persistentVolumeReclaimPolicy: Retain, claimRef: { namespace: default, name: zulip-media } }
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata: { name: zulip-media }
spec: { storageClassName: "", volumeName: "zulip-media", accessModes: ["ReadWriteOnce"], resources: { requests: { storage: 5Gi } } }
---
apiVersion: v1
kind: PersistentVolume
metadata: { name: zulip-export, labels: { type: local } }
spec: { storageClassName: manual, hostPath: { path: "/opt/zulip/export" }, capacity: { storage: 5Gi }, accessModes: ["ReadWriteOnce"], persistentVolumeReclaimPolicy: Retain, claimRef: { namespace: default, name: zulip-export } }
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata: { name: zulip-export }
spec: { storageClassName: "", volumeName: "zulip-export", accessModes: ["ReadWriteOnce"], resources: { requests: { storage: 5Gi } } }
---
apiVersion: v1
kind: PersistentVolume
metadata: { name: zulip-consume, labels: { type: local } }
spec: { storageClassName: manual, hostPath: { path: "/opt/zulip/consume" }, capacity: { storage: 5Gi }, accessModes: ["ReadWriteOnce"], persistentVolumeReclaimPolicy: Retain, claimRef: { namespace: default, name: zulip-consume } }
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata: { name: zulip-consume }
spec: { storageClassName: "", volumeName: "zulip-consume", accessModes: ["ReadWriteOnce"], resources: { requests: { storage: 5Gi } } }
---